﻿// ReSharper disable InconsistentNaming

namespace IRCStates
{
    /// <summary>
    /// Known numeric response codes
    /// </summary>
    public static class Numeric
    {
#pragma warning disable CA1707 // Identifiers should not contain underscores
        public const string RPL_WELCOME     = "001";
        public const string RPL_ISUPPORT    = "005";
        public const string RPL_MOTD        = "372";
        public const string RPL_MOTDSTART   = "375";
        public const string RPL_ENDOFMOTD   = "376";
        public const string ERR_NOMOTD      = "422";
        public const string RPL_UMODEIS     = "221";
        public const string RPL_VISIBLEHOST = "396";
        public const string RPL_TRYAGAIN    = "263";
        public const string RPL_YOUREOPER   = "381";

        public const string ERR_NOSUCHNICK   = "401";
        public const string ERR_NOSUCHSERVER = "402";

        public const string RPL_CHANNELMODEIS = "324";
        public const string RPL_CREATIONTIME  = "329";
        public const string RPL_TOPIC         = "332";
        public const string RPL_TOPICWHOTIME  = "333";

        public const string RPL_WHOREPLY   = "352";
        public const string RPL_WHOSPCRPL  = "354";
        public const string RPL_ENDOFWHO   = "315";
        public const string RPL_NAMREPLY   = "353";
        public const string RPL_ENDOFNAMES = "366";

        public const string RPL_WHOWASUSER  = "314";
        public const string RPL_ENDOFWHOWAS = "369";

        public const string RPL_BANLIST        = "367";
        public const string RPL_ENDOFBANLIST   = "368";
        public const string RPL_QUIETLIST      = "728";
        public const string RPL_ENDOFQUIETLIST = "729";

        public const string RPL_LOGGEDIN    = "900";
        public const string RPL_LOGGEDOUT   = "901";
        public const string RPL_SASLSUCCESS = "903";
        public const string ERR_SASLFAIL    = "904";
        public const string ERR_SASLTOOLONG = "905";
        public const string ERR_SASLABORTED = "906";
        public const string ERR_SASLALREADY = "907";
        public const string RPL_SASLMECHS   = "908";

        public const string RPL_WHOISUSER     = "311";
        public const string RPL_WHOISSERVER   = "312";
        public const string RPL_WHOISOPERATOR = "313";
        public const string RPL_WHOISIDLE     = "317";
        public const string RPL_WHOISCHANNELS = "319";
        public const string RPL_WHOISACCOUNT  = "330";
        public const string RPL_WHOISHOST     = "378";
        public const string RPL_WHOISMODES    = "379";
        public const string RPL_WHOISSECURE   = "671";
        public const string RPL_AWAY          = "301";
        public const string RPL_ENDOFWHOIS    = "318";

        public const string ERR_ERRONEUSNICKNAME = "432";
        public const string ERR_NICKNAMEINUSE    = "433";
        public const string ERR_BANNICKCHANGE    = "435";
        public const string ERR_UNAVAILRESOURCE  = "437";
        public const string ERR_NICKTOOFAST      = "438";
        public const string ERR_CANTCHANGENICK   = "447";

        public const string ERR_NOSUCHCHANNEL   = "403";
        public const string ERR_TOOMANYCHANNELS = "405";
        public const string ERR_USERONCHANNEL   = "443";
        public const string ERR_LINKCHANNEL     = "470";
        public const string ERR_BADCHANNAME     = "479";
        public const string ERR_BADCHANNEL      = "926";

        public const string ERR_BANNEDFROMCHAN = "474";
        public const string ERR_INVITEONLYCHAN = "473";
        public const string ERR_BADCHANNELKEY  = "475";
        public const string ERR_CHANNELISFULL  = "471";
        public const string ERR_NEEDREGGEDNICK = "477";
        public const string ERR_THROTTLE       = "480";

        public const string RPL_LOGOFF     = "601";
        public const string RPL_MONOFFLINE = "731";

        public const string RPL_RSACHALLENGE2      = "740";
        public const string RPL_ENDOFRSACHALLENGE2 = "741";
#pragma warning restore CA1707 // Identifiers should not contain underscores
    }
}
