﻿using System.Collections.Generic;

namespace IRCStates
{
    public class User
    {
        public User()
        {
            Channels = new HashSet<string>();
        }

        public string NickName { get; private set; }
        public string NickNameLower { get; private set; }

        public string UserName { get; set; }
        public string HostName { get; set; }
        public string RealName { get; set; }
        public string Account { get; set; }
        public string Away { get; set; }
        public HashSet<string> Channels { get; private set; }

        public override string ToString()
        {
            return $"User(nickname={NickName})";
        }

        public void SetNickName(string nick, string nickLower)
        {
            NickName      = nick;
            NickNameLower = nickLower;
        }
    }
}
